> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Intent



## OpenAPI

````yaml /openapi.json post /api/v1/auth/intents/{intent_id}/resume
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/intents/{intent_id}/resume:
    post:
      tags:
        - Auth continuation
      summary: Resume Intent
      operationId: resume_intent_api_v1_auth_intents__intent_id__resume_post
      parameters:
        - name: intent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Intent Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResumeAuthIntentRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResumeAuthIntentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ResumeAuthIntentRequest:
      properties:
        continuation_secret:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 32
            - type: 'null'
          title: Continuation Secret
      additionalProperties: false
      type: object
      title: ResumeAuthIntentRequest
    ResumeAuthIntentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        intent:
          $ref: '#/components/schemas/AuthIntentPayload'
        expires_at:
          type: string
          format: date-time
          title: Expires At
        bound:
          type: boolean
          title: Bound
        attribution_status:
          type: string
          enum:
            - linked
            - unknown
          title: Attribution Status
      additionalProperties: false
      type: object
      required:
        - id
        - intent
        - expires_at
        - bound
        - attribution_status
      title: ResumeAuthIntentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuthIntentPayload:
      properties:
        version:
          type: integer
          const: 1
          title: Version
          default: 1
        kind:
          type: string
          enum:
            - audit
            - bi
            - return
          title: Kind
        audit_type:
          anyOf:
            - type: string
              maxLength: 50
              pattern: ^[a-z][a-z0-9_\-]*$
            - type: 'null'
          title: Audit Type
        platform:
          anyOf:
            - type: string
              maxLength: 32
              pattern: ^[a-z][a-z0-9_\-]*$
            - type: 'null'
          title: Platform
        target_url:
          anyOf:
            - type: string
              maxLength: 2048
            - type: 'null'
          title: Target Url
        social_links:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Social Links
        market:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: integer
                  - type: boolean
                  - type: 'null'
              type: object
            - type: string
            - type: 'null'
          title: Market
        language:
          anyOf:
            - type: string
              maxLength: 32
            - type: 'null'
          title: Language
        plan:
          anyOf:
            - type: string
              enum:
                - free
                - starter
                - pro
            - type: 'null'
          title: Plan
        cycle:
          anyOf:
            - type: string
              enum:
                - monthly
                - yearly
            - type: 'null'
          title: Cycle
        source:
          type: string
          maxLength: 64
          minLength: 1
          pattern: ^[a-zA-Z0-9_\-:.]+$
          title: Source
          default: signup
        return_path:
          type: string
          maxLength: 4096
          title: Return Path
          default: /brand-intelligence/app
      additionalProperties: false
      type: object
      required:
        - kind
      title: AuthIntentPayload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````